# Module num_traits::cast [−] [src]

## Traits

AsPrimitive | A generic interface for casting between machine scalars with the `as` operator, which admits narrowing and precision loss. Implementers of this trait `AsPrimitive` should behave like a primitive numeric type (e.g. a newtype around another primitive), and the intended conversion must never fail.
FromPrimitive | A generic trait for converting a number to a value.
NumCast | An interface for casting between machine scalars.
ToPrimitive | A generic trait for converting a value to a number.

## Functions

cast | Cast from one machine scalar to another.